package com.zivilon.cinder_loe.coremod;

import cpw.mods.fml.relauncher.IFMLLoadingPlugin;
import cpw.mods.fml.relauncher.IFMLLoadingPlugin.MCVersion;
import cpw.mods.fml.relauncher.IFMLLoadingPlugin.SortingIndex;
import cpw.mods.fml.relauncher.IFMLLoadingPlugin.TransformerExclusions;
import org.spongepowered.asm.launch.MixinBootstrap;
import org.spongepowered.asm.mixin.Mixins;
import java.util.Map;

@TransformerExclusions({"com.zivilon.cinder_loe.coremod"})
@SortingIndex(1001)
@MCVersion("1.7.10")
public class CoreMod implements IFMLLoadingPlugin {
    @Override
    public String[] getASMTransformerClass() {
        return new String[] {"com.zivilon.cinder_loe.coremod.LOTRMaterialTransformer","com.zivilon.cinder_loe.coremod.LOTRWeaponLinker", "com.zivilon.cinder_loe.coremod.LOTRBannerAdder", "com.zivilon.cinder_loe.coremod.LOTRDimensionAdder", "com.zivilon.cinder_loe.coremod.LOTRSpawnListLinker", "com.zivilon.cinder_loe.coremod.OptiFinePatcher", "com.zivilon.cinder_loe.coremod.UrukBerserkerGreatswordPatcher"};
    }

    @Override
    public String getModContainerClass() {
        // Return the class name of your @Mod class
        return null;
    }

    @Override
    public String getSetupClass() {
        // Return the class name that sets up coremod environment, or null if none
        return null;
    }

    @Override
    public void injectData(Map<String, Object> data) {
        MixinBootstrap.init();
        Mixins.addConfiguration("mixins.cinder_loe.json");
    }

    @Override
    public String getAccessTransformerClass() {
        // Return the class name of your access transformer or null if none
        return null;
    }
}
